#include "DIBase.h"
namespace HPL {
namespace DirectX {
DIBase::DIBase() {
	m_pDInput = NULL;
}
DIBase::~DIBase() {
}

BOOL DIBase::createDInput( HINSTANCE hInstance ) {
	HRESULT hr = S_OK;

	hr = DirectInput8Create( hInstance,
		DIRECTINPUT_VERSION,
		IID_IDirectInput8,
		(void**)&m_pDInput, NULL );

	if(FAILED( hr ) ) {
		return hr;
	}

	return hr;
}


}
}
